# Validate MySQL database integrity

This function checks for errors in all of the tables in a MySQL® database.

Important:

When you disable the MySQL role and
remote MySQL is not already configured, the system disables this function.

Endpoint: GET /Mysql/check_database
Version: 11.138.0.10
Security: BasicAuth

## Query parameters:

  - `name` (string, required)
    The database's name.
    Example: "example_test"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "check_database"

  - `module` (string)
    The name of the module called.
    Example: "Mysql"

  - `result` (object)

  - `result.data` (array)
    An array that contains a response message for each of a database's tables in sequence.

  - `result.data.msg_text` (string)
    The message's contents.
    Example: "OK"

  - `result.data.msg_type` (string)
    The type of message.
* status
* error
* info
* note
* warning

Note:

For more information, read [MySQL's CHECK TABLE documentation](http://dev.mysql.com/doc/refman/5.7/en/check-table.html).
    Enum: "status", "error", "info", "note", "warning"

  - `result.data.table` (string)
    The table's name.
    Example: "table1"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.metadata.transformed` (integer)
    Post-processing may have transformed the data.
    Enum: 1

  - `result.status` (integer)
    * 1 - Success
* 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API.
Warnings describe non-critical failures or other problematic conditions noted while running a API.


